import { CdkDropList } from '@angular/cdk/drag-drop';
import { BehaviorSubject } from 'rxjs';
import * as i0 from "@angular/core";
export declare class EuiChipListDragService {
    componentConnector: CdkDropList[];
    droppableArea: CdkDropList[];
    removedFromDroppable: BehaviorSubject<any>;
    setComponentConnector(sourceName: string): void;
    setDroppableArea(componentRef: CdkDropList, sourceNames: string[]): void;
    removeFromDroppable(item: any | null): void;
    resetConnector(): void;
    static ɵfac: i0.ɵɵFactoryDef<EuiChipListDragService, never>;
    static ɵprov: i0.ɵɵInjectableDef<EuiChipListDragService>;
}
